E-MailRelay

Public Member Functions | Public Attributes | List of all members
G::StrImp::Joiner< T > Struct Template Reference

A sub-string joiner used by G::Str. More...

## Public Member Functions
| Joiner (T &result_, const T &sep_, bool &first_)
void | operator() (const T &s)

## Public Attributes
T & | result
const T & | sep
bool & | first

## Detailed Description

template<typename T>
struct G::StrImp::Joiner< T >

A sub-string joiner used by G::Str.

Definition at line 1162 of file gstr.cpp.

## Constructor & Destructor Documentation

## ◆ Joiner()

template<typename T >

G::StrImp::Joiner< T >::Joiner | ( | T & | result_,
|  | const T & | sep_,
|  | bool & | first_
| ) |  |
| inline

Definition at line 1167 of file gstr.cpp.

## Member Function Documentation

## ◆ operator()()

template<typename T >

void G::StrImp::Joiner< T >::operator() | ( | const T & | s | ) |
| inline

Definition at line 1174 of file gstr.cpp.

## Member Data Documentation

## ◆ first

template<typename T >

bool& G::StrImp::Joiner< T >::first

Definition at line 1166 of file gstr.cpp.

## ◆ result

template<typename T >

T& G::StrImp::Joiner< T >::result

Definition at line 1164 of file gstr.cpp.

## ◆ sep

template<typename T >

const T& G::StrImp::Joiner< T >::sep

Definition at line 1165 of file gstr.cpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gstr.cpp